nvalues.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include "test/int.hh"`

Go to the source code of this file.

## Classes

class | Test::Int::NValues::IntInt
| Test number of values of integer variables equal to integer More...
class | Test::Int::NValues::IntVar
| Test number of values of integer variables equal to integer variable More...
class | Test::Int::NValues::BoolInt
| Test number of values of Boolean variables equal to integer More...
class | Test::Int::NValues::BoolVar
| Test number of values of Boolean variables equal to integer variable More...
class | Test::Int::NValues::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::NValues
| Tests for number of values constraints

## Variables

Create | Test::Int::NValues::c